(** Generated by coq-of-ocaml *)
Require Import CoqOfOCaml.CoqOfOCaml.
Require Import CoqOfOCaml.Settings.

Require Import TezosOfOCaml.Proto_demo.Environment.
Import Environment.Notations.
Require TezosOfOCaml.Proto_demo.Alpha_context.

Import Alpha_context.

Parameter may_start_new_voting_period :
  Alpha_context.context -> Lwt.t (Error_monad.tzresult Alpha_context.context).

(* extensible_type_definition `error` *)

Parameter record_proposals :
  Alpha_context.context -> Alpha_context.public_key_hash ->
  list (|Protocol_hash|).(S.HASH.t) ->
  Lwt.t (Error_monad.tzresult Alpha_context.context).

(* extensible_type_definition `error` *)

Parameter record_ballot :
  Alpha_context.context -> Alpha_context.public_key_hash ->
  (|Protocol_hash|).(S.HASH.t) -> Alpha_context.Vote.ballot ->
  Lwt.t (Error_monad.tzresult Alpha_context.context).
